Returns an integer denoting the type of this server

- « MongoDB\Driver\Server::getTags

- MongoDB\Driver\Server::isArbiter »

- PHP Manual
- MongoDB\Driver\Server
- Returns an integer denoting the type of this server

# MongoDB\Driver\Server::getType

(mongodb >=1.0.0)

MongoDB\Driver\Server::getType — Returns an integer denoting the type of this server

### Description

final public MongoDB\Driver\Server::getType(): int

Returns an int denoting the type of this server. The value will correlate with a MongoDB\Driver\Server constant.

### Parameters

This function has no parameters.

### Return Values

Returns an int denoting the type of this server.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Server::getInfo() - Returns an array of information describing this server
- MongoDB\Driver\ServerDescription::getType() - Returns a string denoting the type of this server